Bug 672716 - 2.6.38rc Kernels break LCD brightness adjustment on Acer Laptop
2.6.38rc Kernels break LCD brightness adjustment on Acer Laptop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-25 19:10 EST by Andy Lawrence
Modified: 2011-02-19 23:15 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-19 23:15:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg dump (57.70 KB, text/x-log)
2011-01-25 19:11 EST, Andy Lawrence
no flags Details
my dmesg (64.94 KB, text/plain)
2011-01-28 03:05 EST, Jacek Pawlyta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 28072 None None None Never

  None (edit)
Description Andy Lawrence 2011-01-25 19:10:17 EST
Description of problem:

Kernel 2.6.38-0.rc2.git1.3.fc15.x86_64 breaks (all Fedora 38 Builds so far actually) LCD brightness function keys on Acer laptop.  This works fine in 2.6.37 Fedora builds.  I have not tried a vanilla 2.6.38rc build.  Gnome/XFCE both have this problem updates as of today.


Version-Release number of selected component (if applicable):

Any 2.6.38rc Fedora Kernel

How reproducible:

Always.


00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device 029b
	Flags: bus master, fast devsel, latency 0, IRQ 43
	Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 30d0 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 3
	Kernel driver in use: i915
	Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
	Subsystem: Acer Incorporated [ALI] Device 029b
	Flags: bus master, fast devsel, latency 0
	Memory at d2400000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: [d0] Power Management version 3

Please see attached dmesg output.  Happy to provide any other info or test builds etc.
Comment 1 Andy Lawrence 2011-01-25 19:11:34 EST
Created attachment 475306 [details]
dmesg dump
Comment 2 Jacek Pawlyta 2011-01-26 07:56:40 EST
Confirming the same: Lenovo G550 with 
VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
Lenovo keys for brightness control don't work,
KDE Power Management applet can't set/change the brightness.
Comment 3 Andy Lawrence 2011-01-27 17:21:08 EST
Jacek, did kernels < 2.6.38 work OK for you also?  Could you please attached dmesg?

Thanks
Comment 4 Jacek Pawlyta 2011-01-28 02:51:46 EST
Andy,
kernel 2.6.37 was OK with backlight control, it had other problems, but LCD backlight control had been working.
Comment 5 Jacek Pawlyta 2011-01-28 03:05:13 EST
Created attachment 475745 [details]
my dmesg

dmesg for Lenovo G550
Comment 6 Andy Lawrence 2011-02-01 18:12:13 EST
Just tested a vanilla 2.6.38rc3, same problem, filled it upstream also.  Upstream tracker listed above.
Comment 7 Jacek Pawlyta 2011-02-18 04:47:47 EST
With 2.6.38-0.rc5.git0.1.fc15.x86_64 LCD backlight control works OK at least on Lenovo G550.

Note You need to log in before you can comment on or make changes to this bug.